org.apache.ignite.internal.processors.cache.persistence

## Class DataRegion

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.DataRegion

    public class DataRegion
    extends Object

Data region provides access to objects configured with `DataRegionConfiguration` configuration.

### Constructor Summary

Constructors
Constructor and Description
`DataRegion(PageMemory pageMem, DataRegionConfiguration cfg, DataRegionMetricsImpl memMetrics, PageEvictionTracker evictionTracker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataRegionConfiguration` `config()`
`PageEvictionTracker` `evictionTracker()`
`DataRegionMetricsImpl` `memoryMetrics()`
`PageMemory` `pageMemory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataRegion

    public DataRegion(PageMemory pageMem,
                      DataRegionConfiguration cfg,
                      DataRegionMetricsImpl memMetrics,
                      PageEvictionTracker evictionTracker)

Parameters:
  `pageMem` - PageMemory instance.
  `memMetrics` - DataRegionMetrics instance.
  `cfg` - Configuration of given DataRegion.
  `evictionTracker` - Eviction tracker.

### Method Detail

#### pageMemory

    public PageMemory pageMemory()

#### config

    public DataRegionConfiguration config()

Returns:
  Config.

#### memoryMetrics

    public DataRegionMetricsImpl memoryMetrics()

Returns:
  Memory Metrics.

#### evictionTracker

    public PageEvictionTracker evictionTracker()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018